using System.Collections.Generic;
using System.Text.Json;
using System.Text.Json.Serialization;

namespace CFUtils.Serialization.Modpack
{
    public struct Manifest
    {
        [JsonIgnore]
        public Game game;
        public string ManifestType { get; set; }
        public int ManifestVersion { get; set; }
        public string Name { get; set; }
        public string Version { get; set; }
        public string Author { get; set; }
        public IList<File> Files { get; set; }
        public string Overrides { get; set; }
    }
}